
html {
  overflow-x: hidden;
}

/* Indroduction section */
.introBanner {
  position: relative;
}

.socialLogos {
  position: absolute;
  top: 50px;
  width: 30%;

}

.socialLogo {
  display: block;
  width: 10%;
  height: auto;
  margin-top: 10px;
}

.socialLogo:hover {
  cursor: pointer;
}

.socialLogos-mobile {
  display: none;
}

.mainLogo {
  display: block;
  width: auto;
  margin: 0 auto;
  padding-left: 35px;
  transition: width 0.5s ease;
}

/* Navigation Bar */
.fix {
  position: sticky;
  top: 0;
  z-index: 9999;
}

.mobile-nav{
  display: none;
}

nav {
  display: flex;
  justify-content: space-around;
  align-items: center; 
  min-height: 10vh;
  background-color: rgba(34,198, 112, 1);
}

.logo-text{
letter-spacing: 2px;
}

.logo {
  letter-spacing: 5px;
  font-size: 22px;
  display: none;
}

.nav-links {
  display: flex;
  width: 40%;
  justify-content: space-around;
  list-style: none;
}

.nav-links a {
  text-decoration: none;
  letter-spacing: 3px;
  font-weight: bold;
  color: white;
  font-size: 15px;
}

.nav-links li {
  transition: all 2.5s ease;
}

.nav-links li:hover {

}

.burger div {
  width: 25px;
  height: 3px;
  margin: 5px;
  background-color: black;
  transition: all 0.3s ease;
}

.burger {
  display: none;
}

/* mobileView */
@media screen and (max-width:1200px) {
  body {
    overflow-x: hidden;
  }

  .desktop-nav{
    display: none;
  }
  .mobile-nav{
    display: flex;
  }

  .mainLogo {
    width: 100%;
    height: auto;
    margin: 0;
    padding: 0;
  }

  .socialLogos {
    display: none;
  }

  .socialLogos-mobile {
    display: block;
        width: 100%;
        height: auto;
        background-color: white;
        text-align: center;

  }
  .socialLogo {
    display: inline-block;
        width: 20%;
        height: auto;
        padding: 5%;
        margin: 0;
  }



  .fix {
    position: static;
  }

  .logo {
    display: block;
  }

  .nav-links {
    position: absolute;
    right: 0px;
    height: 0;
    top: 0;
    background-color: rgba(34,198, 112, 1);
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 1000;
    width: 100%;
    margin: 0;
    padding: 0;
    transition: height 1s ease;
  }
  .new-logo-width{
    width: 60%;
    left: 0;
    margin: 0;
  }

  .nav-links li {
    opacity: 0;
  }

  .burger {
    display: block;
    position: absolute;
    right: 15px;
    cursor: pointer;
    z-index: 10000;
  }

/* contact us banner */
  .contact-banner{
    background-color: rgba(5, 101, 143, 0.1);
  }
  .contact-banner img{
  width: 50%;
  height: auto;
  margin-bottom: 15px;
  margin-top: 10px;
  }


}

.nav-active {
  transform: translateX(0%);
  height: 100vh;
}

@keyframes navOpen {
  from {
    height: 0;
  }

  to {
    height: 92vh;
  }
}

/* navlinks animation */
@keyframes navLinkFade {
  from {
    opacity: 0;
    transform: translate(50%);
  }

  to {
    opacity: 1;
    transform: translate(0%);
  }
}

.toggle .line1 {
  transform: rotate(-45deg) translate(-5px, 6px);
}

.toggle .line2 {
  opacity: 0;
}

.toggle .line3 {
  transform: rotate(45deg) translate(-5px, -6px);
}

/* footer */
footer {
  background: rgb(5, 101, 143);
  text-align: center;
  margin: 0;
  bottom: 0;
  margin-top: 20px;
  color: rgb(5, 101, 143);
  z-index: 9999;
  min-height: 8vh;
}

footer span {
  font-weight: bold;
}

footer a {
  color: rgba(240, 240, 240, 1);
  transition: all 2.5s ease;
  text-decoration: none;
  margin-top: 25px;
}

footer a:hover {
  border-bottom: 2px solid rgba(240, 240, 240, 0.6);
}

.footLinks {
  margin-top: 15px;
  padding: 15px;
}
footer h6{
  color: white;
}
